import { z } from 'zod';
import { TouchBaseSchema, EntityContainerSchema } from '@isa/common/data-access';

export const ContributorHelperSchema = TouchBaseSchema.extend({
  type: z.string().describe('Type').optional(),
  contributor: EntityContainerSchema(z.any()).describe('Contributor information').optional(),
});

export type ContributorHelper = z.infer<typeof ContributorHelperSchema>;
